Loading...
Searching...
No Matches
janus_lua_extra.h File Reference
Plugins » Lua plugin API

Janus Lua plugin extra hooks (headers). More...

`#include <lua.h>`
`#include <lualib.h>`
`#include <lauxlib.h>`
Include dependency graph for janus_lua_extra.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | janus_lua_register_extra_functions (lua_State *state)
| Method to register extra Lua functions in the C code.

## Detailed Description

Janus Lua plugin extra hooks (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

The Janus Lua plugin implements all the mandatory hooks to allow the C code to interact with a custom Lua script, and vice-versa. Anyway, Lua developers may want to have the C code do more than what is provided out of the box, e.g., by exposing additional Lua methods from C for further low level processing or native integration. This "extra" implementation provides a mechanism to do just that, as developers can just add their own custom hooks in the C extra code, and the Lua plugin will register the new methods along the stock ones.

More specifically, the Janus Lua plugin will always invoke the janus_lua_register_extra_functions() method when initializing. This means that all developers will need to do to register a new function is adding new `lua_register` calls to register their own functions there, and they'll be added to the stack.

Lua plugin API

## Function Documentation

## janus_lua_register_extra_functions()

void janus_lua_register_extra_functions | ( | lua_State * | state | ) |

Method to register extra Lua functions in the C code.

Parameters

  [in] | state | The Lua state to register the functions on